## poco 1.8.1

=== debian/changelog ===
poco (1.8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Mar 2018 09:40:24 +0100

poco (1.8.1-1) experimental; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * New upstream version 1.8.1
  * Update copyright
  * Add patch for libmysqlclient.
    Thanks to Steve Langasek (Closes: #889625)
  * Bump debhelper version, no changes
  * Bump standards version, no changes
  * build rootless
  * Rename package due to Soname bump
  * Remove old lintian-overrides

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Feb 2018 21:36:14 +0100
