=== debian/control ===
Source: poco
Priority: optional
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Uploaders: Patrick Gansterer <paroga@paroga.com>, Cristian Greco <cristian@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper (>= 11),
               cmake,
               libexpat1-dev,
               default-libmysqlclient-dev,
               libpcre3-dev,
               libsqlite3-dev,
               libssl-dev,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Rules-Requires-Root: no
Section: libs
Homepage: https://pocoproject.org/
Vcs-Browser: https://salsa.debian.org/debian/poco
Vcs-Git: https://salsa.debian.org/debian/poco.git

Package: libpoco-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpococrypto51 (= ${binary:Version}), libpocodata51 (= ${binary:Version}), libpocofoundation51 (= ${binary:Version}), libpocojson51 (= ${binary:Version}), libpocodatamysql51 (= ${binary:Version}), libpocomongodb51 (= ${binary:Version}), libpoconet51 (= ${binary:Version}), libpoconetssl51 (= ${binary:Version}), libpocodataodbc51 (= ${binary:Version}), libpocodatasqlite51 (= ${binary:Version}), libpocoredis51 (= ${binary:Version}), libpocoutil51 (= ${binary:Version}), libpocoxml51 (= ${binary:Version}), libpocozip51 (= ${binary:Version}), libexpat1-dev, default-libmysqlclient-dev, libpcre3-dev, libsqlite3-dev, libssl-dev, zlib1g-dev
Description: C++ Portable Components (POCO) Development files
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 POCO consists of four core libraries, and a number of add-on libraries. The
 core libraries are Foundation, XML, Util and Net. Two of the add-on libraries
 are NetSSL, providing SSL support for the network classes in the Net library,
 and Data, a library for uniformly accessing different SQL databases.

Package: libpococrypto51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Crypto library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Crypto library.

Package: libpocodata51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data library.

Package: libpocomongodb51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data MongoDB library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO MongoDB library.

Package: libpocodatamysql51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data MySQL library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data MySQL library.

Package: libpocodataodbc51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) ODBC library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data ODBC library. In Debian, it is linked
 against unixODBC but also iODBC can be used instead.

Package: libpocodatasqlite51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data SQLite library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data SQLite library.

Package: libpocofoundation51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Foundation library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Foundation library.

Package: libpocojson51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) JSON library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO JSON library.

Package: libpoconet51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Network library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Net library.

Package: libpoconetssl51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Network library with SSL
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Network SSL library.

Package: libpocoredis51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Redis library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides POCO Redis library.

Package: libpocoutil51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Util library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides POCO Util library.

Package: libpocoxml51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) XML library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
