=== MongoDB/samples/Makefile ===
#
# Makefile
#
# Makefile for Poco MongoDB Samples
#

.PHONY: projects
clean all: projects
projects:
	$(MAKE) -C SQLToMongo $(MAKECMDGOALS)
