=== debian/changelog ===
poco (1.9.0-5) unstable; urgency=medium

  * Add patches for GNU Hurd (Closes: #881680)
  * Add patch for MySQL 8.0 (LP: #1795350)
  * Add patch for failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Oct 2018 22:06:33 +0200

poco (1.9.0-4) unstable; urgency=medium

  * Add patch for non existing data folder (Closes: #906970)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Aug 2018 22:09:33 +0200

poco (1.9.0-3) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * riscv64: add support

  [ Jochen Sprickerhof ]
  * Bump standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 06 May 2018 12:32:49 +0200

poco (1.9.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Apr 2018 13:39:17 +0200

poco (1.9.0-1) experimental; urgency=medium

  * New upstream version 1.9.0
  * Simplify rules
  * Adopt package names due to Soname bump
  * Remove lintian-overrides (licence file fixed)
  * Add PocoEncodings library

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 13:31:22 +0200
