=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libssl-dev,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://pocoproject.org/
@@ -21,7 +21,7 @@
 Package: libpoco-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpococrypto51 (= ${binary:Version}), libpocodata51 (= ${binary:Version}), libpocofoundation51 (= ${binary:Version}), libpocojson51 (= ${binary:Version}), libpocodatamysql51 (= ${binary:Version}), libpocomongodb51 (= ${binary:Version}), libpoconet51 (= ${binary:Version}), libpoconetssl51 (= ${binary:Version}), libpocodataodbc51 (= ${binary:Version}), libpocodatasqlite51 (= ${binary:Version}), libpocoredis51 (= ${binary:Version}), libpocoutil51 (= ${binary:Version}), libpocoxml51 (= ${binary:Version}), libpocozip51 (= ${binary:Version}), libexpat1-dev, default-libmysqlclient-dev, libpcre3-dev, libsqlite3-dev, libssl-dev, zlib1g-dev
+Depends: ${misc:Depends}, libpococrypto60 (= ${binary:Version}), libpocodata60 (= ${binary:Version}), libpocoencodings60 (= ${binary:Version}), libpocofoundation60 (= ${binary:Version}), libpocojson60 (= ${binary:Version}), libpocodatamysql60 (= ${binary:Version}), libpocomongodb60 (= ${binary:Version}), libpoconet60 (= ${binary:Version}), libpoconetssl60 (= ${binary:Version}), libpocodataodbc60 (= ${binary:Version}), libpocodatasqlite60 (= ${binary:Version}), libpocoredis60 (= ${binary:Version}), libpocoutil60 (= ${binary:Version}), libpocoxml60 (= ${binary:Version}), libpocozip60 (= ${binary:Version}), libexpat1-dev, default-libmysqlclient-dev, libpcre3-dev, libsqlite3-dev, libssl-dev, zlib1g-dev
 Description: C++ Portable Components (POCO) Development files
  The POCO C++ Libraries are a collection of open source C++ class libraries
  that simplify and accelerate the development of network-centric, portable
@@ -38,7 +38,7 @@
  are NetSSL, providing SSL support for the network classes in the Net library,
  and Data, a library for uniformly accessing different SQL databases.
 
-Package: libpococrypto51
+Package: libpococrypto60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Crypto library
@@ -54,7 +54,7 @@
  .
  This package provides the POCO Crypto library.
 
-Package: libpocodata51
+Package: libpocodata60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Data library
@@ -70,7 +70,7 @@
  .
  This package provides the POCO Data library.
 
-Package: libpocomongodb51
+Package: libpocomongodb60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Data MongoDB library
@@ -86,7 +86,7 @@
  .
  This package provides the POCO MongoDB library.
 
-Package: libpocodatamysql51
+Package: libpocodatamysql60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Data MySQL library
@@ -102,7 +102,7 @@
  .
  This package provides the POCO Data MySQL library.
 
-Package: libpocodataodbc51
+Package: libpocodataodbc60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) ODBC library
@@ -119,7 +119,7 @@
  This package provides the POCO Data ODBC library. In Debian, it is linked
  against unixODBC but also iODBC can be used instead.
 
-Package: libpocodatasqlite51
+Package: libpocodatasqlite60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Data SQLite library
@@ -135,7 +135,23 @@
  .
  This package provides the POCO Data SQLite library.
 
-Package: libpocofoundation51
+Package: libpocoencodings60
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: C++ Portable Components (POCO) Encodings library
+ The POCO C++ Libraries are a collection of open source C++ class libraries
+ that simplify and accelerate the development of network-centric, portable
+ applications in C++. The libraries integrate perfectly with the C++ Standard
+ Library and fill many of the functional gaps left open by it.
+ .
+ POCO is built strictly using standard ANSI/ISO C++, including the standard
+ library. The contributors attempt to find a good balance between using advanced
+ C++ features and keeping the classes comprehensible and the code clean,
+ consistent and easy to maintain.
+ .
+ This package provides the POCO Encodings library.
+
+Package: libpocofoundation60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Foundation library
@@ -151,7 +167,7 @@
  .
  This package provides the POCO Foundation library.
 
-Package: libpocojson51
+Package: libpocojson60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) JSON library
@@ -167,7 +183,7 @@
  .
  This package provides the POCO JSON library.
 
-Package: libpoconet51
+Package: libpoconet60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Network library
@@ -183,7 +199,7 @@
  .
  This package provides the POCO Net library.
 
-Package: libpoconetssl51
+Package: libpoconetssl60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Network library with SSL
@@ -199,7 +215,7 @@
  .
  This package provides the POCO Network SSL library.
 
-Package: libpocoredis51
+Package: libpocoredis60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Redis library
@@ -215,28 +231,10 @@
  .
  This package provides POCO Redis library.
 
-Package: libpocoutil51
+Package: libpocoutil60
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ Portable Components (POCO) Util library
  The POCO C++ Libraries are a collection of open source C++ class libraries
  that simplify and accelerate the development of network-centric, portable
  applications in C++. The libraries integrate perfectly with the C++ Standard
- Library and fill many of the functional gaps left open by it.
- .
- POCO is built strictly using standard ANSI/ISO C++, including the standard
- library. The contributors attempt to find a good balance between using advanced
- C++ features and keeping the classes comprehensible and the code clean,
- consistent and easy to maintain.
- .
- This package provides POCO Util library.
-
-Package: libpocoxml51
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: C++ Portable Components (POCO) XML library
- The POCO C++ Libraries are a collection of open source C++ class libraries
- that simplify and accelerate the development of network-centric, portable
- applications in C++. The libraries integrate perfectly with the C++ Standard
- Library and fill many of the functional gaps left open by it.
- .
