=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFFLAGS = -DENABLE_TESTS=ON -DPOCO_UNBUNDLED=ON

# Disable fpenvironment on armel (fixes #843225)
ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
       CPPFLAGS+=-DPOCO_NO_FPENVIRONMENT
endif

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)
